import 'package:example/application.dart';
import 'package:example/page/frame_image_page.dart';
import 'package:example/page/home_page.dart';
import 'package:example/page/progress_content_page.dart';
import 'package:example/router.dart';
import 'package:flutter/material.dart';

void main() {
  Application().init();
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      initialRoute: Router.PAGE_HOME,
      routes: {
        Router.PAGE_HOME: (context) => HomePage(),
        Router.PAGE_FRAME_IMAGE: (context) => FrameImagePage(),
        Router.PAGE_PROGRESS_CONTENT: (context) => ProgressContentPage(),
      },
    );
  }
}
