import 'package:example/router.dart';
import 'package:flutter/material.dart';

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("首页"),
      ),
      body: ListView(
        children: [
          FlatButton(
            child: Text("FrameImageDemo"),
            onPressed: () => Navigator.of(context).pushNamed(Router.PAGE_FRAME_IMAGE),
          ),
          FlatButton(
            child: Text("ProgressContentDemo"),
            onPressed: () => Navigator.of(context).pushNamed(Router.PAGE_PROGRESS_CONTENT),
          )
        ],
      ),
    );
  }
}
